package com.example.pencilmuse.views.MainActivity.components

import androidx.compose.runtime.Composable
import androidx.compose.ui.tooling.preview.Preview
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController


@Preview
@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(
        navController = navController,
        startDestination = "auth"
    )
    {
        composable("auth") {
            auth(navController)
        }


            composable("MainPage") {
                MainPage(navController)
            }
            //composable("Notes") {
            //Notes(navController)
        }
    }



